#!/bin/sh

ROOTFS=$1
OUTPUT=$2

# give ownership back to root
chown -R root:root $ROOTFS

cd $ROOTFS

# create the devices
mkdir -p dev
mknod dev/console c   5  1
mknod dev/null    c   1  3
mknod dev/zero    c   1  5
mknod dev/mem     c   1  1
mknod dev/random  c   1  8
mknod dev/urandom c   1  9
mknod dev/tty     c   5  0
mknod dev/ttygs0  c 127  0
mknod dev/fb0     c  29  0
mknod dev/ptmx    c   5  2
mkdir -p dev/pts
mknod dev/mmcblk0   b 179 0
mknod dev/mmcblk0p1 b 179 1
mknod dev/mmcblk0p2 b 179 2
mknod dev/mmcblk0p3 b 179 3
mknod dev/mmcblk0p4 b 179 4
mknod dev/mmcblk0p5 b 179 5
mknod dev/mmcblk0p6 b 179 6
mknod dev/mmcblk0p7 b 179 7
mknod dev/mmcblk0p8 b 179 8
mknod dev/ttyS0   c   4 64
mknod dev/ttyS1   c   4 65

# populate etc
cp -a ../etc .

# create mount points
mkdir proc sys tmp var mnt
mkdir -p mnt/mmc1
mkdir -p mnt/mmc2

cd -

# build the image
/usr/sbin/mkcramfs $ROOTFS $OUTPUT
